import { useDomContext } from "@saasquatch/stencil-hooks";
import { REGISTRATION_FORM_STATE_CONTEXT, } from "../sqm-portal-registration-form/useRegistrationFormState";
export function useNameFields(props) {
  const registrationFormState = useDomContext(REGISTRATION_FORM_STATE_CONTEXT);
  return {
    states: {
      optional: props.optional,
      registrationFormState,
      content: {
        lastNameLabel: props.lastNameLabel,
        firstNameLabel: props.firstNameLabel,
      },
    },
  };
}
